Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Reflection.MemberInfo System.Runtime.InteropServices._FieldInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._FieldInfo)) System.Runtime.InteropServices.ComVisible(true)

Provides access to field metadata.

To be added.
- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Reflection.FieldAttributes

  Gets the attributes of the field reflected by the current instance.

  A value that indicates the attributes of the field reflected by the current instance.

  This property is read-only.

  Use this property to determine the accessibility of the field reflected by the current instance. Also use this property to determine if the field reflected by the current instance can be set after it is initialized, is implemented in native code, is a literal, or has a special name.

  The following example demonstrates obtaining the attributes of two fields.

  `using System; using System.Reflection; class MyClass { public int MyPublicInstanceField; private const int MyPrivateConstField = 10; } class FieldAttributesExample { public static void Main() { Type t = (typeof(MyClass)); string str; FieldInfo[] fiAry = t.GetFields( BindingFlags.Static | BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic | BindingFlags.DeclaredOnly ); foreach (FieldInfo fi in fiAry) { Console.WriteLine("Field {0} is: ", fi.Name); str = ((fi.Attributes & FieldAttributes.Static) != 0) ? "Static" : "Instance"; Console.Write(str + " "); str = ((fi.Attributes & FieldAttributes.Public) != 0) ? "Public" : "Not-Public"; Console.Write(str + " "); str = ((fi.Attributes & FieldAttributes.Literal) != 0) ? "Literal" : String.Empty; Console.WriteLine(str); } } }`

  The output is

  Field MyPublicInstanceField is:

  Instance Public

  Field MyPrivateConstField is:

  Static Not-Public Literal

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  System.RuntimeFieldHandle To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Type

  Gets the type of the field reflected by the current instance.

  The of the field reflected by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.FieldInfo `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.FieldInfo `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Object `` An object that contains the field value to be returned. If the field reflected by the current instance is static, is ignored. For non-static fields, is required to be an instance of a class that inherits or declares the field.

  Obtains the value of the field that is reflected by the current instance and contained in the specified object.

  A that contains the value of the field reflected by the current instance.

  Before returning the value, the system checks to see if the user has access permission.

  A field is marked literal, but the field does not have one of the accepted literal types. For information regarding the accepted literal types, see Partition II of the CLI Specification. The field reflected by the current instance is non-public, and the caller does not have permission to access non-public members. The field reflected by the current instance is declared neither directly in nor in any class from which derives. The field reflected by the current instance is non-static, and is . Requires permission to access non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MemberTypes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` The object whose field value will be set. If the field is static, is ignored. For non-static fields, is required to be an instance of a class that inherits or declares the field. A that contains the value to assign to the field contained by . To be added.

  Assigns the specified value to the field that is reflected by the current instance and contained in the specified object.

  Before setting the value, the system verifies that the user has access permission. If the user does not have access permission, a is thrown.

  The field reflected by the current instance is declared neither directly in nor in any class from which derives.

  is not assignment-compatible with the type of the field reflected by the current instance.

  The field reflected by the current instance is non-public, and the caller does not have permission to access non-public members. The field reflected by the current instance is non-static, and is . Requires permission to access non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Diagnostics.DebuggerStepThrough
- Method
  System.Void `` `` `` `` `` The object whose field value will be set. If the field is static, is ignored. For non-static fields, is required to be an instance of a class that inherits or declares the field. An object that contains the value to assign to the field contained by . A value that controls the binding process. A instance that enables the binding, coercion of argument types, and invocation of members through reflection. If is , the default binder of the current implementation is used.

  The only defined value for this parameter is .

  To be added. To be added. To be added.

  Assigns the specified value to the field that is reflected by the current instance and contained in the specified object.

  Before setting the value, the system verifies that the user has access permission.

  The field reflected by the current instance is declared neither directly in nor in any class from which derives.

  is not assignment-compatible with the type of the field reflected by the current instance.

  The field reflected by the current instance is non-public, and the caller does not have permission to access non-public members. The field reflected by the current instance is non-static, and is . Requires permission to access non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0